-- Deploy camper:campsite_type_cost__per_age to pg
-- requires: campsite_type_cost

begin;

alter table camper.campsite_type_cost
  add column cost_per_adult integer not null default 0 constraint per_adult_not_negative check(cost_per_adult >= 0)
, add column cost_per_teenager integer not null default 0 constraint per_teenager_not_negative check(cost_per_teenager >= 0)
, add column cost_per_child integer not null default 0 constraint per_child_not_negative check(cost_per_child >= 0)
;

alter table camper.campsite_type_cost
  alter column cost_per_adult drop default
, alter column cost_per_teenager drop default
, alter column cost_per_child drop default
;

commit;
