-- Deploy camper:remove_campsite_type_feature to pg
-- requires: roles
-- requires: schema_camper
-- requires: campsite_type_feature
-- requires: campsite_type_feature_i18n

begin;

set search_path to camper, public;

create or replace function remove_campsite_type_feature(feature_id integer) returns void as
$$
	delete from campsite_type_feature_i18n where campsite_type_feature_id = feature_id;
	delete from campsite_type_feature where campsite_type_feature_id = feature_id;
$$
	language sql
;

revoke execute on function remove_campsite_type_feature(integer) from public;
grant execute on function remove_campsite_type_feature(integer) to admin;

commit;
